org.apache.fop.render

## Class RendererContext.RendererContextWrapper

- java.lang.Object
- - org.apache.fop.render.RendererContext.RendererContextWrapper

Direct Known Subclasses:
  PCLRendererContext

Enclosing class:
  RendererContext

    public static class RendererContext.RendererContextWrapper
    extends Object

Base class for a wrapper around RendererContext to access its properties in a type-safe, renderer-specific way.

### Field Summary

Fields
`protected RendererContext` `context` The wrapped RendererContext

### Constructor Summary

Constructors
Constructor and Description
`RendererContextWrapper(RendererContext context)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCurrentXPosition()`
`int` `getCurrentYPosition()`
`Map` `getForeignAttributes()`
`int` `getHeight()`
`FOUserAgent` `getUserAgent()`
`int` `getWidth()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### context

    protected RendererContext context

The wrapped RendererContext

### Constructor Detail

#### RendererContextWrapper

    public RendererContextWrapper(RendererContext context)

Main constructor

Parameters:
  `context` - the RendererContent instance

### Method Detail

#### getUserAgent

    public FOUserAgent getUserAgent()

Returns:
  the user agent

#### getCurrentXPosition

    public int getCurrentXPosition()

Returns:
  the currentXPosition

#### getCurrentYPosition

    public int getCurrentYPosition()

Returns:
  the currentYPosition

#### getWidth

    public int getWidth()

Returns:
  the width of the image

#### getHeight

    public int getHeight()

Returns:
  the height of the image

#### getForeignAttributes

    public Map getForeignAttributes()

Returns:
  the foreign attributes

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`